Bug 679291 - libgda-sqlite needs sqlite-devel to work, lacks sqlite dependencies
Summary: libgda-sqlite needs sqlite-devel to work, lacks sqlite dependencies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libgda
Version: 14
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-22 07:05 UTC by Ville Skyttä
Modified: 2011-03-16 19:55 UTC (History)
2 users (show)

Fixed In Version: libxml++-2.33.2-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-16 19:55:11 UTC
Type: ---


Attachments (Terms of Use)

Description Ville Skyttä 2011-02-22 07:05:03 UTC
libgda-sqlite doesn't find the sqlite shared library unless sqlite-devel is installed (it looks for libsqlite3.so).  It also lacks dependencies to anything sqlite related.  See bug 673809.

I suggest changing it to look for libsqlite3.so.0 instead of libsqlite3.so and adding a dependency on sqlite%{?_isa} or the proper libsqlite3.so.1 soname.

Comment 1 Haïkel Guémar 2011-02-22 10:38:50 UTC
i patched libgda to have a fallback when it doesn't find unversionned library and search for common versionned ones (actually libsqlite3.so.0). It seems to work but if you can confirm this before i actually push the change.
I have yet to find a portable way to handle this so i can file a patch upstream. If you have any ideas, you're welcome. :)

F14 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2856880

Comment 2 Ville Skyttä 2011-02-22 18:49:27 UTC
The scratch build appears to work fine, although I just tested the case of doing something in gtranslator that crashed before.  Thanks.

Regarding a portable way to fix this, I wonder why won't they just link dynamically with libsqlite as usual?  libgda-postgres and libgda-mysql are linked with the corresponding client libs (based just on inspecting the package dependencies, not looked inside them), so I suppose they don't have a general policy against doing so.

Comment 3 Fedora Update System 2011-03-08 08:55:59 UTC
libxml++-2.33.2-1.fc14,libgda-4.2.4-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/libxml++-2.33.2-1.fc14,libgda-4.2.4-2.fc14

Comment 4 Fedora Update System 2011-03-16 19:55:06 UTC
libxml++-2.33.2-1.fc14, libgda-4.2.4-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.